"use strict";
/**
 * @fileoverview Delete an attribute
 * @author Frédéric Maquin <fred@ephread.com>
 */
Object.defineProperty(exports, "__esModule", { value: true });
// ----------------------------------------------------------------------------
// Public
// ----------------------------------------------------------------------------
/**
 * deleteAttribute - Delete an attribute specified by the given rule to the given nodes.
 *
 * @param {object} rule  rule definition
 * @param {object} nodes nodes on which remove attributes
 */
function removeAttribute(configurationRule, nodes) {
    const rule = configurationRule;
    for (const attributeName of rule.attributes) {
        nodes.forEach((node) => {
            const attribute = node.attr(attributeName);
            if (attribute) {
                attribute.remove();
            }
        });
    }
}
exports.removeAttribute = removeAttribute;
//# sourceMappingURL=removeAttribute.js.map